var util = require('../../../util/util.js')
import request from '../../../util/http'
import stewardUrl from '../../../util/stewardUrl'
var app = getApp();
Page({
  data: {
    tabs: [
    
      { title: '订单信息' },
      { title: '服务信息' },
      { title: '任务列表' },
      { title: '保姆服务记录' },
    ],
    activeTab: 0,
    taskChildId:'',//子任务id
    orderInfo:{
        customerType:'',
        servantType:''
    },
    serviceInfo:{
      
    },
    taskPage:1,
    taskList:[],
    taskListFinish:false,
    servicePage:1,
    serviceHistoryList:[],
    serviceListFinish:false,
    editAccountModal:false,
    account:'',
    editBtns:[
       { text: '确定', extClass: 'buttonBold' },
    ]
  },
  onLoad(query) {
    console.log(query);
    console.log(query.activeTab);
    if(JSON.stringify(query) != "{}"){
        this.setData({
        taskChildId:query.taskChildId,
        activeTab:1  
        })
    }
  //  this.getOrderServiceInfo();
  },
  onShow(){
   this.getOrderServiceInfo();
  },
  getOrderServiceInfo(){
    let params={
      employRelationId:app.globalData.employRelationId
    }
     request.httpServiceGet(stewardUrl.getOrderServiceInfoPath,params).then(data=>{
        console.log(data);
        this.setData({
          orderInfo:data.orderInfo,
          serviceInfo:data.serviceInfo
        })
     });
  },
  getTaskList(){
     let params={
       page:this.data.taskPage,
       limit:10,
       employRelationId:app.globalData.employRelationId
    }
     request.httpServiceGet(stewardUrl.getTaskListPath,params).then(data=>{
        console.log(data);
        if(data.length==0){
         this.setData({
         taskListFinish:true
        });
        }else{
      let list=this.data.taskList.concat(data);
        this.setData({
         taskList:list,
         taskListFinish:data.length<10?true:false
        })
        }
       
     });
  },
  getServiceHistory(){
     let params={
       page:this.data.servicePage,
       limit:10,
       employRelationId:app.globalData.employRelationId
    }
     request.httpServiceGet(stewardUrl.getServiceHistoryPath,params).then(data=>{
        console.log(data);
        if(data.length==0){
         this.setData({
         serviceListFinish:true
        });
        }else{
 let list=this.data.serviceHistoryList.concat(data);
        this.setData({
         serviceHistoryList:list,
          serviceListFinish:data.length<10?true:false
        });
        }
       
     });
  },
    handleTabClick({ index }) {
    this.setData({
      activeTab: index,
    });
    if(index==2&&this.data.taskList.length==0){
      this.getTaskList();
    }else if(index==3&&this.data.serviceHistoryList.length==0){
      this.getServiceHistory();
    }
  },
    handleTabChange({ index }) {
    this.setData({
      activeTab: index,
    });
  },
  
  goTaskDetail(e){
      console.log(e.target);
    let task=e.target.dataset.task;
    if(task.type=='1'){
      // 拜访类任务
       app.globalData.visitTaskId=task.id;
       my.navigateTo({
        url: '../taskDetail/taskDetail'
      });
    }else{
        app.globalData.noticeId=task.id;
         app.globalData.noticeType=task.type;
        my.navigateTo({
          url: '../followTaskDetail/followTaskDetail'
        });
    }
  },
  goServiceDetail(e){
    app.globalData.employClockId=e.target.dataset.id;
       my.navigateTo({
      url: '../servantServiceDetail/servantServiceDetail'
    });
  },

onModalClose(){
   this.setData({
         editAccountModal:false
       });
},
editAccountModal(){
   this.setData({
         editAccountModal:true
       });
},
bindAccount(e){
   this.setData({
      account: e.detail.value.replace(/[^\d]/,''),
    });
},
// 点击设置按钮
  onSetButtonClick(e){
    console.log(e.target);
    if(e.target.dataset.index==0){
        // 确定保存
       let reg=/^1\d{10}$/;
       let phone=this.data.account;
        if(phone==''){
           my.showToast({
         content: '手机号不能为空',
      });
    }else if(!reg.test(phone)){
    my.showToast({
         content: '手机号格式不正确',
      });
    }else{
      // 调后台接口登陆
     this.updateCustomerPhone(phone);

    }

  
    }
  },
  updateCustomerPhone(phone){
 let params={
   orderNo:this.data.serviceInfo.orderNo,
   mobile:phone,
   taskChildId:this.data.taskChildId
 };
 request.httpServiceGet(stewardUrl.updateCustomerPhonePath,params).then(data=>{
        console.log(data);
     this.setData({
      editAccountModal: false,
    });
     this.getOrderServiceInfo();
       
 });
  },
  scrollTaskList(){
    if(!this.data.taskListFinish){
 this.setData({
      taskPage:this.data.taskPage+1
    })
    console.log(this.data.taskPage);
    this.getTaskList();
    }
   
    // let historyTaskList=this.data.historyTaskList.concat(this.data.historyTaskList);
    // console.log(historyTaskList.length);
    // if(historyTaskList.length<25){
    //  this.setData({
    //   historyTaskList:historyTaskList
    // });
    // }
   
  },
  scrollServiceList(){
    if(!this.data.serviceListFinish){
     this.setData({
      servicePage:this.data.servicePage+1
    })
    console.log(this.data.servicePage);
    this.getServiceHistory();
  }
},
editTaskInfo(){
     app.globalData.orderNo=this.data.serviceInfo.orderNo;
       app.globalData.editChildTaskId='';
      my.navigateTo({
      url: '../taskInfo/taskInfo'
        });
},

// 发送邀请短信
invitationUseApp(){
   let params={
     orderNo:this.data.serviceInfo.orderNo
    };
       request.httpServiceGet(stewardUrl.invitationUseAppByOrderPath,params).then(data=>{
        console.log(data);
          my.showToast({
         content: '发送成功',
      });
         

       });
  },


});
